- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# schroot_listmounts::main Class Reference

Frontend for schroot. More...

`#include <schroot-listmounts-main.h>`

Inheritance diagram for schroot_listmounts::main:

[legend]
Collaboration diagram for schroot_listmounts::main:

[legend]
List of all members.

## Public Types
typedef sbuild::custom_error< error_code > | error
| Exception type.
| OPEN
| Failed to open file.
| CLOSE
| Failed to close file.
enum | error_code { OPEN, CLOSE }
| Error codes. More...
## Public Member Functions
| main (options::ptr &options)
| The constructor.
virtual | ~main ()
| The destructor.
## Protected Member Functions
virtual int | run_impl ()
| Run the program.
## Private Member Functions
sbuild::string_list | list_mounts (std::string const &mountfile) const
| List mounts (internal helper).
virtual void | action_listmounts ()
| List mounts.
## Private Attributes
options::ptr | opts
| The program options.

## Detailed Description

Frontend for schroot.

This class is used to "run" schroot.

## Member Typedef Documentation

typedef sbuild::custom_error<error_code> schroot_listmounts::main::error

Exception type.

## Member Enumeration Documentation

enum schroot_listmounts::main::error_code

Error codes.

Enumerator:

  OPEN | Failed to open file.
  CLOSE | Failed to close file.

## Constructor & Destructor Documentation

main::main | ( | options::ptr & | options | ) |

The constructor.

Parameters:

  | options | the command-line options to use.

main::~main | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot_base::main.

## Member Function Documentation

void main::action_listmounts | ( |  | ) | `[private, virtual]`

List mounts.

sbuild::string_list main::list_mounts | ( | std::string const & | mountfile | ) | const`[private]`

List mounts (internal helper).

Parameters:

  | mountfile | the file containing the database of mounted filesystems.

int main::run_impl | ( |  | ) | `[protected, virtual]`

Run the program.

Returns:
  0 on success, 1 on failure or the exit status of the chroot command.

Implements schroot_base::main.

## Member Data Documentation

options::ptr schroot_listmounts::main::opts`[private]`

The program options.

The documentation for this class was generated from the following files:

- schroot/schroot-listmounts-main.h
- schroot/schroot-listmounts-main.cc